%define oname	mash

%define major		0
%define api		0.2
%define girmajor	0.2

%define libname	%mklibname %{oname} %{api} %{major}
%define devname	%mklibname -d %{oname}
%define girname	%mklibname %{oname}-gir %{girmajor}

Summary:	A library for using real 3D models within a Clutter scene
Name:		libmash
Version:	0.2.0
Release:	%mkrel 10
License:	LGPLv2+
Group:          System/Libraries
URL:		http://wiki.clutter-project.org/wiki/Mash
Source0:	http://source.clutter-project.org/sources/mash/0.2/mash-%{version}.tar.bz2

# From Fedora:
# Already sent upstream for review,
# see http://lists.clutter-project.org/pipermail/clutter-devel-list/2011-March/000196.html
Patch0:		0001-Use-the-system-version-of-rply-if-available.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(clutter-1.0) >= 1.5.10
BuildRequires:	pkgconfig(mx-1.0) >= 1.1.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	libgirepository-devel
BuildRequires:	gtk-doc
BuildRequires:	rply-devel

# From Fedora:
# Do not BR: mx-devel, as the lighting example isn't actually installed

%description
Mash is a small library for using real 3D models within a Clutter
scene. Models can be exported from Blender or other 3D modeling
software as PLY files and then used as actors. It also supports a
lighting model with animatable lights.

%package -n %{libname}
Summary:	A library for using real 3D models within a Clutter scene
Group:		System/Libraries

%description -n %{libname}
Mash is a small library for using real 3D models within a Clutter
scene. Models can be exported from Blender or other 3D modeling
software as PLY files and then used as actors. It also supports a
lighting model with animatable lights.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d %{oname} 0.1} < 0.2.0

%description -n %{devname}
This package contains libraries and header files needed for
development of programs using %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{mklibname %{oname}0.1-gir 0.1} < 0.1.0-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .use-system-rply

%build
autoreconf -ifv
%configure2_5x \
	--disable-silent-rules \
	--disable-static
%make

%install
%makeinstall_std

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README NEWS AUTHORS
%{_libdir}/lib%{oname}-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Mash-%{girmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/mash
%{_includedir}/%{oname}-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/Mash-%{girmajor}.gir


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-10.mga4
+ Revision: 531168
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 dams <dams> 0.2.0-9.mga4
+ Revision: 462421
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 0.2.0-8.mga4
+ Revision: 454262
- Rebuild for new cogl

* Mon May 27 2013 fwang <fwang> 0.2.0-7.mga4
+ Revision: 428614
- rebuild for new cogl

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-6.mga3
+ Revision: 357725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 fwang <fwang> 0.2.0-5.mga3
+ Revision: 220658
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 0.2.0-4.mga2
+ Revision: 212396
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 0.2.0-3.mga2
+ Revision: 197229
- rebuild for new cogl

* Tue Nov 22 2011 wally <wally> 0.2.0-2.mga2
+ Revision: 171031
- rebuild for new cogl and clutter

* Thu Sep 22 2011 wally <wally> 0.2.0-1.mga2
+ Revision: 146806
- fix devel pkg name
- new api
- new version 0.2.0
- rediff rply patch

* Mon Sep 19 2011 wally <wally> 0.1.0-4.mga2
+ Revision: 145685
- rebuild for new cogl

  + fwang <fwang>
    - rebuild for new cogl

* Thu Jul 07 2011 wally <wally> 0.1.0-2.mga2
+ Revision: 119828
- fix gir package name

* Tue Jul 05 2011 wally <wally> 0.1.0-1.mga2
+ Revision: 119000
- imported package libmash

